# Application through

| HTTP method | Endpoint                                               |
| ----------- | ------------------------------------------------------ |
| **PATCH**   | **/v1/offer\_applications/{application\_id}/approved** |

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter       | Description                        |
| --------------- | ---------------------------------- |
| application\_id | The unique id for the application. |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field         | Type    | Description                                                                                                                                                 |
| ------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id            | integer | application\_id                                                                                                                                             |
| offer\_id     | integer | Offer id                                                                                                                                                    |
| affiliate\_id | integer | Affiliate id                                                                                                                                                |
| apply\_time   | string  | Apply time.                                                                                                                                                 |
| accept\_time  | string  | Accept time.                                                                                                                                                |
| status        | string  | The status of the OfferApplication.  There are three kinds of States： 1 pending ;  2 approved ;  3 rejected （*You cannot delete actions in pending status*） |

### Example request <a href="#example-request-2" id="example-request-2"></a>

**Request PATCH** <https://{networkname}.api.offerslook.com/v1/offer_applications/2198/approved>

**Request PATCH** <http://{networkname}.api.offerslook.com/v1/offer_applications/2198/approved>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_application": {
          "id": 2198,
          "affiliate_id": 5075,
          "offer_id": 2789,
          "apply_time": 1461918094,
          "accept_time": 1461919027,
          "status": "approved"
        }
      }
    }
```
